Mandrake Linux Security Advisory : rwho (MDKSA-2005:039)

Medium Nessus Plugin ID 17131


The remote Mandrake Linux host is missing a security update.


A vulnerability in rwhod was discovered by 'Vlad902' that can be abused to crash the listening process (the broadcasting process is not affected). This vulnerability only affects little endian architectures.

The updated packages have been patched to correct the problem.


Update the affected rwho package.

Plugin Details

Severity: Medium

ID: 17131

File Name: mandrake_MDKSA-2005-039.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/02/17

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:rwho, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/02/16

Reference Information

CVE: CVE-2004-1180

MDKSA: 2005:039